LibreOffice: XProgressBar Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XProgressBar Interface Referencepublished

gives access to the value and settings of a progress bar. More...

`import"XProgressBar.idl";`

Inheritance diagram for XProgressBar:

## Public Member Functions
void | setForegroundColor ([in] com::sun::star::util::Color Color)
| sets the foreground color (RGB) of the control. More...
void | setBackgroundColor ([in] com::sun::star::util::Color Color)
| sets the background color (RGB) of the control. More...
void | setRange ([in] long Min, [in] long Max)
| sets the minimum and the maximum progress value of the progress bar. More...
void | setValue ([in] long Value)
| sets the progress value of the progress bar. More...
long | getValue ()
| returns the current progress value of the progress bar. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the value and settings of a progress bar.

## Member Function Documentation

## ◆ getValue()

long getValue | ( |  | ) |

returns the current progress value of the progress bar.

## ◆ setBackgroundColor()

void setBackgroundColor | ( | [in] com::sun::star::util::Color | Color | ) |

sets the background color (RGB) of the control.

## ◆ setForegroundColor()

void setForegroundColor | ( | [in] com::sun::star::util::Color | Color | ) |

sets the foreground color (RGB) of the control.

## ◆ setRange()

void setRange | ( | [in] long | Min,
|  | [in] long | Max
| ) |  |

sets the minimum and the maximum progress value of the progress bar.

If the minimum value is greater than the maximum value, the method exchanges the values automatically.

## ◆ setValue()

void setValue | ( | [in] long | Value | ) |

sets the progress value of the progress bar.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XProgressBar.idl